package com.jsowell.common.enums;

public enum TitleTypeEnum {
	unit("1", "单位"),
	person("2", "个人"),
	;
	private String value;
	private String label;

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	TitleTypeEnum(String value, String label) {
		this.value = value;
		this.label = label;
	}

	public static String getLabel(String value) {
		for (TitleTypeEnum titleTypeEnum : TitleTypeEnum.values()) {
			if (titleTypeEnum.getValue().equals(value)) {
				return titleTypeEnum.getLabel();
			}
		}
		return "";
	}
}
